import { BigNumberish } from 'ethers';
import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { GetMasterChefDataPropsParams, GetMasterChefTokenBalancesParams, MasterChefTemplateContractPositionFetcher, RewardRateUnit } from '../../../position/template/master-chef.template.contract-position-fetcher';
import { StakeDaoContractFactory, StakeDaoFarm } from '../contracts';
export declare class EthereumStakeDaoFarmContractPositionFetcher extends MasterChefTemplateContractPositionFetcher<StakeDaoFarm> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: StakeDaoContractFactory;
    chefAddress: string;
    groupLabel: string;
    rewardRateUnit: RewardRateUnit;
    constructor(appToolkit: IAppToolkit, contractFactory: StakeDaoContractFactory);
    getContract(address: string): StakeDaoFarm;
    getPoolLength(contract: StakeDaoFarm): Promise<BigNumberish>;
    getStakedTokenAddress(contract: StakeDaoFarm, poolIndex: number): Promise<string>;
    getRewardTokenAddress(contract: StakeDaoFarm): Promise<string>;
    getTotalAllocPoints({ contract }: GetMasterChefDataPropsParams<StakeDaoFarm>): Promise<BigNumberish>;
    getTotalRewardRate({ contract }: GetMasterChefDataPropsParams<StakeDaoFarm>): Promise<BigNumberish>;
    getPoolAllocPoints({ contract, definition, }: GetMasterChefDataPropsParams<StakeDaoFarm>): Promise<BigNumberish>;
    getStakedTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<StakeDaoFarm>): Promise<BigNumberish>;
    getRewardTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<StakeDaoFarm>): Promise<BigNumberish>;
}
